'------------------------------------------------------------
$lib "myrncom23.lbx"

'-------------------------------------------------
'           LEVEL-0 Control
'-------------------------------------------------
Const Ctl_c_mask = &HF8
Const Ctl_c_base = &HA8
Const Ctl_c_adon = &H18


Const Ctl_c_stx = Ctl_c_base + 1
Const Ctl_c_etx = Ctl_c_base + 2
Const Ctl_c_pfx = Ctl_c_base + 3

'-------------------------------------------------
'           LEVEL-0 Control Receive structur
'-------------------------------------------------
Dim Rxbase As Byte                                ' 0 address array
Dim Rxrdpnt As Byte                               ' 1 read pointer
Dim Rxtop As Byte                                 ' 2 array top
Dim Rxwrpnt As Byte                               ' 3 write pointer
Dim Rxwrtmp As Byte                               ' 4 temp. write pointer
Dim Rxbcc As Byte                                 ' 5 Block check
Dim Rxflag As Byte                                ' 6 Flag
'-------------------------------------------------
'           LEVEL-0 Control Transmit  structur
'-------------------------------------------------
Dim Tx_bcc As Byte

$external Com_init
$external Com_msgdone
$external Com_msg

$external Com_txstart
$external Com_txclose
$external Com_txbyte
$external Com_txword
$external Com_txlong
$external Com_txintg
$external Com_txsing



$external _gotchar0
Config Serialin = Buffered , Size = Rx_bufsize

Declare Sub Com_init()
Declare Sub Com_msgdone(msg As Byte)
Declare Function Com_msg() As Byte

Declare Sub Com_txstart()
Declare Sub Com_txclose()
Declare Sub Com_txbyte(byval Value As Byte)
Declare Sub Com_txword(byval Value As Word)
Declare Sub Com_txlong(byval Value As Long)
Declare Sub Com_txintg(byval Value As Integer)
Declare Sub Com_txsing(byval Value As Single)


'-------------------------------------------------
'           LEVEL-1 Message Readout
'-------------------------------------------------
$external Com_rdbyte
$external Com_rdword
$external Com_rdlong
$external Com_rdintg
$external Com_rdsing

Declare Function Com_rdbyte() As Byte
Declare Function Com_rdword() As Word
Declare Function Com_rdlong() As Long
Declare Function Com_rdintg() As Integer
Declare Function Com_rdsing() As Single


 Call Com_init()
